function plotsolution(name,mesh,x)
%PLOTSOLUTION Summary of this function goes here
%   Detailed explanation goes here
figure('Name',name);
[M,DIM] = size(mesh);
N=floor(M^(1/DIM)+1+1.e-10);
h=1/N;
if (DIM==2)
    [MX,MY]=meshgrid([0:h:1],[0:h:1]);
    Z=zeros(N+1,N+1);
    Z(2:N,2:N)=reshape(x,N-1,N-1);
    surf(MX,MY,Z);
elseif (DIM==3)
    [MX,MY,MZ]=meshgrid([0:h:1]);
    Z=zeros(N+1,N+1,N+1);
    Z(2:N,2:N,2:N)=reshape(x,N-1,N-1,N-1);
    xslice=[0.3,0.7];  yslice=0.5; zslice=0.3;
    slice(MX,MY,MZ,Z,xslice,yslice,zslice);
end

end

