function [rhs] = setrhs(mesh)
[N,DIM] = size(mesh);
M=floor(N^(1/DIM)+1+1.e-10);
h=1/M;
rhs=zeros(N,1);
%RHS Summary of this function goes here
%   Detailed explanation goes here
if DIM==1
    rhs = h^DIM*pi*sin(pi*mesh);
elseif DIM==2
    rhs = h^DIM*2*pi*pi*sin(pi*mesh(:,1)).*sin(pi*mesh(:,2));
elseif DIM==3
    rhs = h^DIM*3*pi*pi*sin(pi*mesh(:,1)).*sin(pi*mesh(:,2)).*sin(pi*mesh(:,3));
end

