function [solution] = exactsolution(mesh)
%EXACTSOLUTION initializes exact solution to the PDE
%   Detailed explanation goes here
[M,DIM] = size(mesh);

if DIM==1
    solution = sin(pi*mesh);
elseif DIM==2
    solution = sin(pi*mesh(:,1)).*sin(pi*mesh(:,2));
else 
    solution = sin(pi*mesh(:,1)).*sin(pi*mesh(:,2)).*sin(pi*mesh(:,3));
end

end

